Bug 150127 - 3 new kickstart features undocumented
3 new kickstart features undocumented
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhel-sag (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrius Benokraitis
John Ha
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-02 14:49 EST by Brent Fox
Modified: 2015-07-14 00:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-03 21:22:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Fox 2005-03-02 14:49:46 EST
Last June, Jeremy added 3 new kickstart commands to anaconda:

+    { KS_CMD_POWEROFF, "poweroff", setPowerOff },
+    { KS_CMD_HALT, "halt", setHalt },
+    { KS_CMD_SHUTDOWN, "shutdown", setShutdown },

It appears that these new commands are not in the docs, and it's not
clear what the differences between them are.
Comment 1 Brent Fox 2005-03-02 14:50:24 EST
cc'ing Jeremy so he can explain what these commands do.
Comment 2 Jeremy Katz 2005-03-02 15:11:09 EST
They're the corollary of reboot but to poweroff, halt and shutdown the
system (just like the commands on a normal system)
Comment 3 Andrius Benokraitis 2005-03-03 17:07:30 EST
Just got off the phone with Jeremy, and these were the main ideas...
please correct me if I'm off anywhere here! :-)

poweroff = '/sbin/shutdown -p'
It is highly dependent on hardware BIOS/ASPI, worst case it will halt
if the hardware isn't supported. (This option isn't in the man page) :-(

halt = '/sbin/shutdown -h'
Ejects the CD and halts the box without rebooting. A "halt" keeps the
machine on at the end of the install process.

shutdown = '/sbin/shutdown'
This is a much more general superset of the other commands,
functionally. Still a bit fuzzy on this one...

reboot = '/sbin/shutdown -r'
Ejects the CD and reboots. Good for PXE boot. Bad for CD-based ks
installs, as "install looping" occurs.

All three eject the CD.

Also, does order matter in the ks.cfg file? I thought it did... If it
does, I assume this would be the last command in the regular section?
If none of these are listed, 'reboot' is the default.

THANKS Jeremy! :-)
Comment 4 Jeremy Katz 2005-03-03 17:27:15 EST
I wouldn't say equal.  Roughly equivalent maybe :)  And maybe get rid
of the /sbin (and then it maps into what they are)

Order doesn't matter.  If none of these are listed, then the installer
sits at the congratulations screen and waits for you to hit enter to
reboot the box.
Comment 5 Andrius Benokraitis 2005-03-03 20:53:32 EST
Great, thanks... I'm going to update it accordingly, and mention that
'reboot' is the default behavior for all successful kickstart
installations.

I appreciate the comments!

Note You need to log in before you can comment on or make changes to this bug.